Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1171345

Summary: Review Request: nodejs-constant-case - Constant case a string
Product: [Fedora] Fedora Reporter: Piotr Popieluch <piotr1212>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-constant-case-1.0.0-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-27 00:53:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1123537, 1171221, 1171263, 1171302, 1171314    
Bug Blocks: 1171350    

Description Piotr Popieluch 2014-12-05 22:41:57 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-constant-case.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-constant-case-1.0.0-1.fc21.src.rpm
Description: Constant case a string
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-19 16:09:00 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-constant-case.noarch: W: only-non-binary-in-usr-lib
nodejs-constant-case.noarch: W: dangling-symlink /usr/lib/node_modules/constant-case/node_modules/snake-case /usr/lib/node_modules/snake-case
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: 5c794e904a953367dc76c95600ae9def5365445080cdd31b1a2419c9ed34e46d
upstream tarball:  5c794e904a953367dc76c95600ae9def5365445080cdd31b1a2419c9ed34e46d

+ License is "MIT" and included in its own LICENSE file.

+ follows nodejs packaging guidelines.

APPROVED.

Comment 2 Piotr Popieluch 2014-12-19 16:20:33 UTC
New Package SCM Request
=======================
Package Name: nodejs-constant-case
Short Description: Constant case a string
Upstream URL: https://github.com/blakeembrey/constant-case
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-12-19 16:33:57 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-19 21:33:52 UTC
nodejs-constant-case-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-constant-case-1.0.0-1.fc21

Comment 5 Fedora Update System 2014-12-19 21:34:26 UTC
nodejs-constant-case-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-constant-case-1.0.0-1.fc20

Comment 6 Fedora Update System 2014-12-21 06:37:26 UTC
nodejs-constant-case-1.0.0-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Piotr Popieluch 2014-12-27 00:53:29 UTC
package built, closing.

Comment 8 Fedora Update System 2014-12-29 10:05:28 UTC
nodejs-constant-case-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2014-12-29 10:07:04 UTC
nodejs-constant-case-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-01-28 08:57:32 UTC
nodejs-constant-case-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-constant-case-1.0.0-1.el7

Comment 11 Fedora Update System 2015-02-15 20:40:05 UTC
nodejs-constant-case-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.